<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:bind="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools">

    <data>

        <variable
            name="viewModel"
            type="com.vessel.app.stressrelief.ui.build.BuildStressReliefViewModel" />
    </data>

    <androidx.constraintlayout.widget.ConstraintLayout
        android:layout_width="match_parent"
        android:id="@+id/parentContainer"
        android:layout_height="match_parent">

        <androidx.appcompat.widget.AppCompatTextView
            android:id="@+id/title"
            style="@style/Title.SemiBold"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginHorizontal="@dimen/spacing_large"
            android:layout_marginTop="@dimen/spacing_12xl"
            android:text="@string/build_stress_relief_plan"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent" />

        <androidx.appcompat.widget.AppCompatTextView
            android:id="@+id/description"
            style="@style/NeoTextRegualr"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginHorizontal="@dimen/spacing_large"
            android:layout_marginTop="@dimen/spacing_xl"
            android:text="@string/choose_stress_relief_plan_hint"
            android:textColor="@color/darkText"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@id/title" />

        <androidx.recyclerview.widget.RecyclerView
            android:id="@+id/stressReliefRecyclerView"
            android:layout_width="match_parent"
            android:layout_height="0dp"
            android:layout_marginTop="@dimen/spacing_xl"
            app:layoutManager="androidx.recyclerview.widget.LinearLayoutManager"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintTop_toBottomOf="@id/description"
            tools:itemCount="1"
            tools:listitem="@layout/item_stress_relief_header" />

        <include
            android:id="@+id/toolbar"
            layout="@layout/toolbar_back"
            bind:handler="@{viewModel}" />

        <include
            android:id="@+id/loadingLayout"
            layout="@layout/layout_full_screen_loading_transparent"
            app:visible="@{viewModel.isLoading}"
            tools:visibility="gone" />
    </androidx.constraintlayout.widget.ConstraintLayout>
</layout>
